error: no se puede encontrar la class de símbolo para agregar la class kotlin en class java en android studio 3.0 estable

yo uso android studio 3.0 y algunos viejos java class Convierten Java a Kotlin. ¡Después de eso, la class Kotlin no puede importar en la class java! abajo puedes ver mi gradel y una image de mi error.

module build.grade

buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.0.0' classpath 'com.google.gms:google-services:3.1.0' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } allprojects { repositories { jcenter() } } task clean(type: Delete) { delete rootProject.buildDir } 

en el nivel de la aplicación build.gradel en normalmente uso el código Gradel y en Android 3.0 creo que necesitamos cualquier cosa

 apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion '26.0.2' defaultConfig { applicationId "com.idehnavazan.beautifierclient" minSdkVersion 14 targetSdkVersion 25 versionCode 1 versionName "1.0" multiDexEnabled true testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility JavaVersion.VERSION_1_8 } dataBinding { enabled = true } } repositories { mavenCentral() jcenter() maven { url 'https://maven.google.com' } maven { url 'https://jitpack.io' } } dependencies { compile 'com.android.support:multidex:1.0.1' compile 'com.android.support:appcompat-v7:25.3.1' compile 'com.github.rey5137:material:1.2.2' compile 'com.android.support:cardview-v7:25.3.1' } apply plugin: 'com.google.gms.google-services' 

enter image description here

Para trabajar con los files de Kotlin necesita agregar Kotlin a su proyecto.

proyecto / build.gradle

 buildscript { ext.kotlinVersion = '1.1.51' repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.0.0' classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion" } } 

proyecto / module / build.gradle

 apply plugin: 'com.android.application' apply plugin: 'kotlin-android' dependencies { implementation "org.jetbrains.kotlin:kotlin-stdlib:$kotlinVersion" } 

Que sigue

Dado que está utilizando la biblioteca de soporte 25.3.1 y el complemento Android 3.0.0, su siguiente pregunta será probablemente la siguiente: atributo de estilo '@android: attr / windowEnterAnimation' no encontrado .

  • "Prefiere ejecutar el procesador daga sobre esa class en su lugar" en Kotlin
  • ejecutar HelloAndroid desde Gradle?
  • Kotlin: Dagger2 @Inject context var siempre es nulo
  • Cómo inyectar dependencies en una aplicación ktor
  • El desajuste genérico del tipo de receptor de properties de extensión no coincide
  • ¿Cómo establecer "sourceCompatibility" para Kotlin y Gradle?
  • Fusionar observables dependientes
  • Modo correcto de consulta de Android Kotlin Realm + devolución de elementos no administrados en Bg Thread
  • Problema con Android Studio y Main Activity.kt esperando la statement del miembro
  • Android - Kotlin: el object debe declararse abstracto o implementar miembro abstracto
  • Kotlin JPA encapsula OneToMany